'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var version = JSON.parse(_fs2['default'].readFileSync('package.json', 'utf8')).version;

exports['default'] = function (_ref) {
  var Plugin = _ref.Plugin;
  var t = _ref.types;

  var VERSION_EXPRESSION = t.literal(version);

  return new Plugin("version-inline", {
    visitor: {
      Identifier: {
        enter: function enter(node, parent) {
          if (this.isIdentifier({ name: "__VERSION__" })) {
            return VERSION_EXPRESSION;
          }
        }
      }
    }
  });
};

module.exports = exports['default'];